(******************************************************************************)
(* computer                                                                   *)
(* (C) 2010 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Comp;

TYPE
  TValue = INTEGER;
  TOperation = (
    oNeg, oWrt,
    oAdd, oSub, oMul, oDiv,
    oNew
  );
  TOffset = CARDINAL;

PROCEDURE Val( v: TValue );
PROCEDURE Opr( o: TOperation );
PROCEDURE Sto( o: TOffset );
PROCEDURE Lod( o: TOffset );

END Comp.
